<?php

defined('SYSPATH') or die('No direct script access.');

class Payments_microvps
{
    public function check($sms, $numer = NULL, $code = NULL)
    {
        $user = Core::setting()->get('microvps_key_api');
        $fp   = @file_get_contents('http://www.microvps.pl/api/payment/check.php?type=homepay_sms&code=' . $sms . '&userid= ' . $user . '');
        $json = json_decode($fp, true);
        
        #	print_r($fp); 
        
        if ($json['status'] == 'OK')
            return array(
                (float) $json['cash'],
                'Konto zostało pomyślnie doładowane kwotą ' . $json['cash'] . 'zł'
            );
        
        return array(
            0.0,
            'Kod nie został rozpoznany u operatora.'
        );
    }
    
    
    private function getType($numer)
    {
        return $this->numers[$numer];
    }
    
    public function rates()
    {
        $_return = array();
        
        $rates = array(
            array(
                7055,
                0.61,
                0.30
            ),
            array(
                7155,
                1.23,
                0.60
            ),
            array(
                7255,
                2.46,
                1.20
            ),
            array(
                7355,
                3.69,
                1.80
            ),
            array(
                7455,
                4.92,
                2.40
            ),
            array(
                7555,
                6.15,
                3.00
            ),
            array(
                7655,
                7.38,
                3.60
            ),
            array(
                7955,
                11.07,
                5.40
            ),
            array(
                91055,
                12.3,
                6.00
            ),
            
            array(
                91155,
                13.53,
                6.60
            ),
            array(
                91455,
                17.2,
                8.40
            ),
            array(
                91955,
                23.37,
                11.40
            ),
            array(
                92055,
                24.6,
                12.00
            ),
            array(
                92520,
                30.75,
                15.50
            )
        );
        
        foreach ($rates as $rate) {
            $_return[] = array(
                'text_sms' => 'MICROVPS',
                'numer' => $rate[0],
                'cost' => $rate[1],
                'amount' => $rate[2]
            );
        }
        
        return $_return;
    }
}

?>